Method: organizations.locations.firewallEndpoints.wildfireVerdictChangeRequests.list

Lists the Advanced malware sandbox (WildFire) verdict change requests in a given firewall endpoint in an organization and location.

HTTP request

GET https://networksecurity.googleapis.com/v1/{parent=organizations/*/locations/*/firewallEndpoints/*}/wildfireVerdictChangeRequests

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListWildfireVerdictChangeRequestsRequest. The parent is a firewall endpoint resource.

Format: organizations|projects/{project_or_organization}/locations/{location}/firewallEndpoints/{firewallEndpoint}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. The server might return fewer items than requested. If unspecified, the server picks an appropriate default.

pageToken

string

Optional. A token identifying a page of results that the server should return.

filter

string

Optional. Filter expression to filter the results. Supported fields are: - sha256 (string, equality only, for example, sha256 = "...") - state (enum, equality only, valid values are OPEN, CLOSED, or PENDING, for example, state = "PENDING") - create_time (timestamp, comparisons, for example, create_time >= "2026-01-01T00:00:00Z" AND create_time <= "2026-01-31T23:59:59Z"). If filtering by create_time, you must specify both a start time and an end time. If create_time is not specified, the query defaults to the past 30 days.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListWildfireVerdictChangeRequestsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.